---
title: llarp::test::TimeDilation
summary: unit test RAII helper type to control the passing of time 

---

# llarp::test::TimeDilation



unit test RAII helper type to control the passing of time 


`#include <time.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[TimeDilation](Classes/classllarp_1_1test_1_1TimeDilation.md#function-timedilation)**() |
| | **[~TimeDilation](Classes/classllarp_1_1test_1_1TimeDilation.md#function-~timedilation)**() |
| [TimeDilation](Classes/classllarp_1_1test_1_1TimeDilation.md) & | **[operator+=](Classes/classllarp_1_1test_1_1TimeDilation.md#function-operator+=)**(std::chrono::milliseconds amount) |

## Public Functions Documentation

### function TimeDilation

```cpp
TimeDilation()
```


### function ~TimeDilation

```cpp
~TimeDilation()
```


### function operator+=

```cpp
TimeDilation & operator+=(
    std::chrono::milliseconds amount
)
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000